unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, EditBtn,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    DateEdit1: TDateEdit;
    Edit1: TEdit;
    Memo1: TMemo;
    procedure ComboBox1Change(Sender: TObject);
    procedure DateEdit1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  if csLoading in ComponentState then
    Memo1.Lines.Add('Combobox.OnChange (loading)') else
    Memo1.Lines.Add('Combobox.OnChange');
end;

procedure TForm1.DateEdit1Change(Sender: TObject);
begin
  if csLoading in ComponentState then
    Memo1.Lines.Add('DateEdit.OnChange (loading)') else
    Memo1.Lines.Add('DateEdit.OnChange');
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  if csLoading in ComponentState then
    Memo1.Lines.Add('Edit.OnChange (loading)') else
    Memo1.Lines.Add('Edit.OnChange');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  if csLoading in ComponentState then
    Memo1.Lines.Add('Form.OnChange (loading)') else
  Memo1.Lines.Add('Form.OnCreate');
end;

end.

